Subject: Re: bug#6076: 23.1.96; [PATCH] rcirc-complete for nicks and commands

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 May 2010 17:18:55 -0400

> Isearch-like mode would be a good thing.  Typing a key not bound
> in its mode map will leave this mode and hide the *Completions* buffer.

Right.  But choosing which keys/events make it leave because we want it
to be very lightweight (i.e. we want to leave as soon as possible), but
we'd rather not leave when the user is still editing the completion.

So self-insert-command should not leave, but then SPC (and several
others likewise) probably should (even tho it's also
self-insert-command) and maybe DEL shouldn't either, but what about
C-f/C-b?  I was thinking maybe we should decide it based on the position
of point (whether it's still inside the completion text or not).

        Stefan